## org.eclipse.jst.ws.jaxws.dom.runtime.api
Enum WebParamKind

    java.lang.Object
      java.lang.Enum<WebParamKind>
          org.eclipse.jst.ws.jaxws.dom.runtime.api.WebParamKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WebParamKind>, org.eclipse.emf.common.util.Enumerator

    public enum WebParamKind

extends java.lang.Enum<WebParamKind>
implements org.eclipse.emf.common.util.Enumerator

Author:
  Hristo Sabev

Enum Constant Summary
`IN`
`INOUT`
`OUT`

Field Summary
`static int` `IN_VALUE` The 'IN' literal value.
`static int` `INOUT_VALUE` The 'INOUT' literal value.
`static int` `OUT_VALUE` The 'OUT' literal value.
`static java.util.List<WebParamKind>` `VALUES` A public read-only list of all the 'Web Param Kind' enumerators.

Method Summary
`static WebParamKind` `get(int value)` Returns the 'Web Param Kind' literal with the specified integer value.
`static WebParamKind` `get(java.lang.String literal)` Returns the 'Web Param Kind' literal with the specified literal value.
`static WebParamKind` `getByName(java.lang.String name)` Returns the 'Web Param Kind' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static WebParamKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WebParamKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IN

    public static final WebParamKind IN

### INOUT

    public static final WebParamKind INOUT

### OUT

    public static final WebParamKind OUT

Field Detail

### IN_VALUE

    public static final int IN_VALUE

  The 'IN' literal value.

  If the meaning of 'IN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IN`, Constant Field Values

### INOUT_VALUE

    public static final int INOUT_VALUE

  The 'INOUT' literal value.

  If the meaning of 'INOUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INOUT`, Constant Field Values

### OUT_VALUE

    public static final int OUT_VALUE

  The 'OUT' literal value.

  If the meaning of 'OUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OUT`, Constant Field Values

### VALUES

    public static final java.util.List<WebParamKind> VALUES

  A public read-only list of all the 'Web Param Kind' enumerators.

Method Detail

### values

    public static WebParamKind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WebParamKind c : WebParamKind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WebParamKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static WebParamKind get(java.lang.String literal)

  Returns the 'Web Param Kind' literal with the specified literal value.

### getByName

    public static WebParamKind getByName(java.lang.String name)

  Returns the 'Web Param Kind' literal with the specified name.

### get

    public static WebParamKind get(int value)

  Returns the 'Web Param Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<WebParamKind>`